#include <c4d.h>

// A structure for representing export options and parameters
struct ExportParameters
{
    BaseObject* object;          // Selected object to export
    Bool exportAllObjects;       // TRUE if checked in the dialog
    Bool exportUV;               // TRUE if checked in the dialog
    Bool exportNormals;          // TRUE if checked in the dialog
    Bool exportSkeleton;         // TRUE if checked in the dialog
    String animationName;
    Real firstFrame;
    Real lastFrame;
    Bool includeMaterialName;    // TRUE if checked in the dialog
    Bool convertXML;             // TRUE if checked in the dialog
    Filename converterFname;     // OgreXMLConverter.exe location
    Bool cancel;                 // TRUE if Cancel pressed
    Bool noObjects;              // TRUE if the scene is empty
};
